from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['default_1.rougail.var2'] = "{% if rougail.var1 == 'no' %}\nfalse\n{% endif %}\n"
dict_env['default_2.rougail.var2'] = "{% if rougail.var1 == 'no' %}\nfalse\n{% endif %}\n"
option_3 = StrOption(name="var1", doc="a first variable", default="yes", properties=frozenset({"mandatory", "standard"}), informations={'type': 'string'})
option_4 = BoolOption(name="var2", doc="a second variable", default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_1.rougail.var2"), '__internal_type': ParamValue("boolean"), '__internal_multi': ParamValue(False), 'rougail.var1': ParamOption(option_3)})), properties=frozenset({"mandatory", "standard"}), informations={'type': 'boolean'})
optiondescription_2 = OptionDescription(name="rougail", doc="Rougail", children=[option_3, option_4], properties=frozenset({"standard"}))
optiondescription_1 = OptionDescription(name="1", doc="1", children=[optiondescription_2], properties=frozenset({"standard"}))
option_7 = StrOption(name="var1", doc="a first variable", default="yes", properties=frozenset({"mandatory", "standard"}), informations={'type': 'string'})
option_8 = BoolOption(name="var2", doc="a second variable", default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_2.rougail.var2"), '__internal_type': ParamValue("boolean"), '__internal_multi': ParamValue(False), 'rougail.var1': ParamOption(option_7)})), properties=frozenset({"mandatory", "standard"}), informations={'type': 'boolean'})
optiondescription_6 = OptionDescription(name="rougail", doc="Rougail", children=[option_7, option_8], properties=frozenset({"standard"}))
optiondescription_5 = OptionDescription(name="2", doc="2", children=[optiondescription_6], properties=frozenset({"standard"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1, optiondescription_5])
