from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['default_1.rougail.dyn{{ suffix }}.var'] = "{% for val in __.var %}\nt{{ val }}\n{% endfor %}\n"
dict_env['default_1.rougail.dyn{{ suffix }}.dyn_{{ suffix }}.var_suffixes'] = "{{ s1 }}-{{ s2 }}\n"
dict_env['default_2.rougail.dyn{{ suffix }}.var'] = "{% for val in __.var %}\nt{{ val }}\n{% endfor %}\n"
dict_env['default_2.rougail.dyn{{ suffix }}.dyn_{{ suffix }}.var_suffixes'] = "{{ s1 }}-{{ s2 }}\n"
option_3 = StrOption(name="var", doc="A suffix variable", multi=True, default=["val1", "val2"], default_multi="val1", properties=frozenset({"mandatory", "notempty", "standard"}), informations={'type': 'string'})
option_5 = StrOption(name="var", doc="A dynamic variable", multi=True, default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_1.rougail.dyn{{ suffix }}.var"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(True), '__.var': ParamOption(option_3)})), properties=frozenset({"mandatory", "notempty", "standard"}), informations={'type': 'string'})
option_7 = StrOption(name="var", doc="A variable dynamic", default=Calculation(func['calc_value'], Params((ParamSuffix()))), properties=frozenset({"mandatory", "standard"}), informations={'type': 'string'})
option_8 = StrOption(name="var_suffix", doc="suffix from first family", default=Calculation(func['calc_value'], Params((ParamSuffix(suffix_index=0)))), properties=frozenset({"mandatory", "standard"}), informations={'type': 'string'})
option_9 = StrOption(name="var_suffixes", doc="merge suffixes", default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_1.rougail.dyn{{ suffix }}.dyn_{{ suffix }}.var_suffixes"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 's1': ParamSuffix(suffix_index=0), 's2': ParamSuffix(suffix_index=1)})), properties=frozenset({"mandatory", "standard"}), informations={'type': 'string'})
optiondescription_6 = ConvertDynOptionDescription(name="dyn_{{ suffix }}", doc="a Second dynamic variable", suffixes=Calculation(func['calc_value'], Params((ParamOption(option_5)))), children=[option_7, option_8, option_9], properties=frozenset({"standard"}))
optiondescription_4 = ConvertDynOptionDescription(name="dyn{{ suffix }}", doc="A dynamic family", suffixes=Calculation(func['calc_value'], Params((ParamOption(option_3)))), children=[option_5, optiondescription_6], properties=frozenset({"standard"}))
optiondescription_2 = OptionDescription(name="rougail", doc="Rougail", children=[option_3, optiondescription_4], properties=frozenset({"standard"}))
optiondescription_1 = OptionDescription(name="1", doc="1", children=[optiondescription_2], properties=frozenset({"standard"}))
option_12 = StrOption(name="var", doc="A suffix variable", multi=True, default=["val1", "val2"], default_multi="val1", properties=frozenset({"mandatory", "notempty", "standard"}), informations={'type': 'string'})
option_14 = StrOption(name="var", doc="A dynamic variable", multi=True, default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_2.rougail.dyn{{ suffix }}.var"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(True), '__.var': ParamOption(option_12)})), properties=frozenset({"mandatory", "notempty", "standard"}), informations={'type': 'string'})
option_16 = StrOption(name="var", doc="A variable dynamic", default=Calculation(func['calc_value'], Params((ParamSuffix()))), properties=frozenset({"mandatory", "standard"}), informations={'type': 'string'})
option_17 = StrOption(name="var_suffix", doc="suffix from first family", default=Calculation(func['calc_value'], Params((ParamSuffix(suffix_index=0)))), properties=frozenset({"mandatory", "standard"}), informations={'type': 'string'})
option_18 = StrOption(name="var_suffixes", doc="merge suffixes", default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_2.rougail.dyn{{ suffix }}.dyn_{{ suffix }}.var_suffixes"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 's1': ParamSuffix(suffix_index=0), 's2': ParamSuffix(suffix_index=1)})), properties=frozenset({"mandatory", "standard"}), informations={'type': 'string'})
optiondescription_15 = ConvertDynOptionDescription(name="dyn_{{ suffix }}", doc="a Second dynamic variable", suffixes=Calculation(func['calc_value'], Params((ParamOption(option_14)))), children=[option_16, option_17, option_18], properties=frozenset({"standard"}))
optiondescription_13 = ConvertDynOptionDescription(name="dyn{{ suffix }}", doc="A dynamic family", suffixes=Calculation(func['calc_value'], Params((ParamOption(option_12)))), children=[option_14, optiondescription_15], properties=frozenset({"standard"}))
optiondescription_11 = OptionDescription(name="rougail", doc="Rougail", children=[option_12, optiondescription_13], properties=frozenset({"standard"}))
optiondescription_10 = OptionDescription(name="2", doc="2", children=[optiondescription_11], properties=frozenset({"standard"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1, optiondescription_10])
